# Locate check
# This module defines
# CHECK_LIBRARY
# CHECK_FOUND, if false, do not try to link to check
# CHECK_INCLUDE_DIR, where to find the headers
#

FIND_PATH(CHECK_INCLUDE_DIR check.h check_stdint.h
    ${CMAKE_INCLUDE_PATH}
    $ENV{CHECK_DIR}/include
    $ENV{CHECK_DIR}
    $ENV{OSGDIR}/include
    $ENV{OSGDIR}
    $ENV{OSG_ROOT}/include
    ~/Library/Frameworks
    /Library/Frameworks
    /usr/local/include
    /usr/include
    /sw/include # Fink
    /opt/local/include # DarwinPorts
    /opt/csw/include # Blastwave
    /opt/include
    [HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session\ Manager\\Environment;OSG_ROOT]/include
    /usr/freeware/include
)

FIND_LIBRARY(CHECK_LIBRARY 
    NAMES libcheck check
    PATHS
    ${CMAKE_LIBRARY_PATH}
    $ENV{CHECK_DIR}/lib
    $ENV{CHECK_DIR}
    $ENV{OSGDIR}/lib
    $ENV{OSGDIR}
    $ENV{OSG_ROOT}/lib
    ~/Library/Frameworks
    /Library/Frameworks
    /usr/local/lib
    /usr/lib
    /sw/lib
    /opt/local/lib
    /opt/csw/lib
    /opt/lib
    [HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session\ Manager\\Environment;OSG_ROOT]/lib
    /usr/freeware/lib64
)

SET(CHECK_FOUND 0)
IF(CHECK_LIBRARY AND CHECK_INCLUDE_DIR)
    SET(CHECK_FOUND 1)
ENDIF(CHECK_LIBRARY AND CHECK_INCLUDE_DIR)

message(status lib ${CHECK_LIBRARY} ${CHECK_INCLUDE_DIR})
